
QGIS Application - Bug report #10885

QGIS crashes when digitising, while avoiding intersections

2014-07-12 06:16 AM - Rombert Stapel

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 19253

Description

QGIS crashes when adding new polygons while 'avoid intersections' is switched on. Sorry, I am pretty new to this, so let me know if you

need other info. The dmp file 24MB, but here is the data when you use Windows Debugger to open the file:

Microsoft (R) Windows Debugger Version 6.3.9600.17029 AMD64

Copyright (c) Microsoft Corporation. All rights reserved.

Loading Dump File [C:\\Users\\Rombert\\AppData\\Local\\Temp\\qgis-20140712-144304-412-6864-8fdd08a.dmp]

User Mini Dump File: Only registers, stack and portions of memory are available

Symbol search path is: *** Invalid ***

****************************************************************************

* Symbol loading may be unreliable without a symbol search path.           *

* Use .symfix to have the debugger choose a symbol path.                   *

* After setting your symbol path, use .reload to refresh symbol locations. *

****************************************************************************

Executable search path is: 

Windows 8 Version 9600 MP (4 procs) Free x64

Product: WinNt, suite: SingleUserTS

Built by: 6.3.9600.17031 (winblue_gdr.140221-1952)

Machine Name:

Debug session time: Sat Jul 12 14:43:04.000 2014 (UTC + 2:00)

System Uptime: not available

Process Uptime: 0 days 0:28:31.000

................................................................

................................................................

................................................................

................................................................

...............

This dump file has an exception of interest stored in it.

The stored exception information can be accessed via .ecxr.

(19c.1ad0): Access violation - code c0000005 (first/second chance not available)

*** ERROR: Symbol file could not be found.  Defaulted to export symbols for ntdll.dll - 

ntdll!ZwGetContextThread+0xa:

00007ffc`cf2bbb1a c3              ret
History

#1 - 2014-07-17 05:14 AM - Giovanni Manghi

- Priority changed from Severe/Regression to High

- Status changed from Open to Feedback

what we need is a project (with data) and precise steps on how replicate. Meanwhile you may want to try disable/unistall all the 3rd party plugins, just to be

sure that there is nothing external interfering.

#2 - 2014-10-08 08:18 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
